package com.xy.entity;

import com.xy.base.BaseEntity2;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysSystem extends BaseEntity2<SysSystem> {

    private static final long serialVersionUID = 1L;

    /**
     * 标识
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 状态
     */
    private Boolean status;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 图标
     */
    private String icon;
}
