package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel("业务用户更新请求")
@Accessors(chain = true)
public class UpdateDto {

    @ApiModelProperty(value = "业务用户ID", required = true)
    @NotNull(message = "未选中用户")
    private Long id;

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "系统ID")
    private Long sysId;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "手机")
    private String phone;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "状态")
    private Boolean status;

    @ApiModelProperty(value = "角色ID（数组）")
    private List<Long> roleIds;

    @ApiModelProperty(value = "部门ID（数组）")
    private List<Long> deptIds;


}
